-- Schema: C6Mart
-- Stored Procedure: GESTIONE_INSERT_PDF_FTP_RISTAMPA

-- =============================================
-- Author:		Paolo Giovanetti
-- Create date: 22/12/2008
-- Description:	Per gestione richieste di reinvio PDF da parte di utenti HD o US
-- =============================================
CREATE procedure [C6Mart].[GESTIONE_INSERT_PDF_FTP_RISTAMPA]
	@Id INT,
	@IdNuovo INT
AS
BEGIN

	DECLARE @ID_ELAB INT
	SET @ID_ELAB = C6Mart.GETIDELAB()

	INSERT INTO C6Mart.GESTIONE_PDF_FTP
		(
			Rete,
			CodiceFiscale,
			IDReport,
			DataGenerazione,
			DataInvio,
			FlagInvio,
			NomeFile,
			TipoReport,
			numeroPagine,
			id_Fk_zip,
			ID_ELAB
		)
	SELECT 
			Rete,
			CodiceFiscale,
			@IdNuovo,
			Getdate(),
			null,
			'N',
			NomeFile,
			'LR',
			numeroPagine + 1,
			-1,
			@ID_ELAB
	FROM C6Mart.GESTIONE_PDF_FTP
	WHERE IdReport = @Id
	RETURN @@ROWCOUNT
END


